package de.ctdo.bunti.dao;

import java.util.List;

import de.ctdo.bunti.model.BuntiDMXDevice;
import de.ctdo.bunti.model.BuntiDevice;

public interface BuntiDevicesDAO {

    List<BuntiDevice> getAllDevices();
	List<BuntiDMXDevice> getAllDMXDevices();
	BuntiDevice getDeviceById(int deviceId);

    void addDevice(BuntiDevice device);
    void removeDevice(int deviceId);
    


}
